[arch-commits] Commit in totem/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jul 7 12:46:08 EDT 2008


    Date: Monday, July 7, 2008 @ 12:46:08
  Author: jgc
Revision: 4462

upgpkg: totem 2.22.2-2
    Fix makedepends, add an extra run of configure to fix python detection

Modified:
  totem/trunk/PKGBUILD

----------+
 PKGBUILD |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-07 16:41:55 UTC (rev 4461)
+++ PKGBUILD	2008-07-07 16:46:08 UTC (rev 4462)
@@ -3,13 +3,13 @@
 
 pkgname=totem
 pkgver=2.22.2
-pkgrel=1
+pkgrel=2
 url="http://www.hadess.net/totem.php3"
 pkgdesc="A GNOME2 integrated movie player based on Gstreamer."
 arch=(i686 x86_64)
 license=('GPL')
 depends=('gstreamer0.10-good-plugins' 'totem-plparser>=2.22.3' 'libxxf86vm' 'libxtst' 'desktop-file-utils' 'iso-codes>=2.0' 'libepc>=0.3.5' 'python>=2.5.2' 'startup-notification' 'libgnomeui>=2.22.1' 'python-gdata' 'gnome-vfs>=2.22.0-2')
-makedepends=('perlxml' 'nautilus>=2.22.2' 'xulrunner>=1.9' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'gnome-doc-utils>=0.12.2' 'gnome-control-center>=2.22.1' 'libtracker')
+makedepends=('nautilus>=2.22.2' 'xulrunner>=1.9' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'gnome-doc-utils>=0.12.2' 'gnome-control-center>=2.22.1' 'libtracker' 'gnome-common' 'intltool' 'pygtk')
 options=('!libtool' '!emptydirs')
 conflicts=('totem-xine')
 groups=('gnome-extra')
@@ -25,9 +25,11 @@
   aclocal || return 1
   autoconf || return 1
   automake --add-missing || return 1
+  ./configure --enable-python || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/totem \
               --localstatedir=/var --disable-static \
+	      --enable-python \
 	      --enable-nautilus \
 	      --enable-mozilla --with-dbus \
 	      --disable-scrollkeeper || return 1





More information about the arch-commits mailing list